//=============================================================
//
//  DateLib.js  -  JavaScript̴ؿ
//
//  Date֥ȴϢ
//
//    VERSION     DATE        BY                CHANGE/COMMENT
//-------------------------------------------------------------
//  001.00      2000/03/01  K.Matsuo          
//=============================================================
<!---

//-------------------------------------------------------------
// դΥåַ׻
//-------------------------------------------------------------
var lday = new Array(12);
lday[ 0] = 31; lday[ 1] = 28; lday[ 2] = 31;
lday[ 3] = 30; lday[ 4] = 31; lday[ 5] = 30;
lday[ 6] = 31; lday[ 7] = 31; lday[ 8] = 30;
lday[ 9] = 31; lday[10] = 30; lday[11] = 31;

//-------------------------------------------------------------
// checkLeapyear - ǯåؿ
//
// 
//   yearobjǯ
// 
//    1ǯǤ
//    0ǯǤϤʤ
//   -1顼
//-------------------------------------------------------------
function checkLeapyear(yearstr) {
  var y;
  var retsts = -1;

  //
  if (yearstr==null) return retsts;
  y = eval(yearstr);
  //Ƚ
  retsts = 0;
  if ((y % 4)==0 && ((y % 100)!=0 || (y % 400)==0)) retsts = 1;

  return retsts;
}

//-------------------------------------------------------------
// getLastday - ؿ
//
// 
//   yearstr ǯ
//   monthstr
// 
//   -1ʳ
//   -1    顼
//-------------------------------------------------------------
function getLastday(yearstr, monthstr) {
  var y;
  var m;
  var d = 0;

  //
  if (yearstr==null || monthstr==null) return -1;
  y = eval(yearstr);
  m = eval(monthstr) - 1;
  //
  if (m==1) d = checkLeapyear(y);

  return (lday[m] + d);
}

//-------------------------------------------------------------
// checkDateYear - ǯå
//
// 
//   years ǯ(ȾѿΤ)
// 
//    0ǯǤ
//   -1ѥ᡼顼
//   -2ǯǤϤʤ
//-------------------------------------------------------------
function checkDateYear(years) {
  if (years==null) return -1;
  if (years < 0) return -2;
 
  return 0;
}

//-------------------------------------------------------------
// checkDateMonth - å
//
// 
//   months(ȾѿΤ)
// 
//    0Ǥ
//   -1ѥ᡼顼
//   -2ǤϤʤ
//-------------------------------------------------------------
function checkDateMonth(months) {
  if (months==null) return -1;
  if (months<1 || 12<months) return -2;
 
  return 0;
}

//-------------------------------------------------------------
// checkDateDay - å
//
// 
//   days  (ȾѿΤ)
// 
//    0Ǥ
//   -1ѥ᡼顼
//   -2ǤϤʤ
//-------------------------------------------------------------
function checkDateDay(days) {
  if (days==null) return -1;
  if (days<1 || 31<days) return -2;
 
  return 0;
}

//-------------------------------------------------------------
// checkDateYearMonthDay - եå
//
// 
//   years ǯ(ȾѿΤ)
//   months(ȾѿΤ)
//   days  (ȾѿΤ)
// 
//    0դǤ
//   -1ѥ᡼顼
//   -2ǯ顼
//   -3顼
//   -4顼
//-------------------------------------------------------------
function checkDateYearMonthDay(yearstr, monthstr, daystr) {
  var y;
  var m;
  var d;
  var retsts = 0;

  if (yearstr==null || monthstr==null || daystr==null) return -1;
  if (checkDateYear(yearstr)!=0) return -2;
  if (checkDateMonth(monthstr)!=0) return -3;
  //
  y = eval(yearstr);
  m = eval(monthstr);
  d = eval(daystr);
  if (getLastday(y, m)<d) return -4;

  return 0;
}

//-------------------------------------------------------------
// ǯAǯBδ֤η׻ѡ
//   羮ططˤեޥåȥåϴޤޤ
//   ǯAǯBդʤ -1 ֤ͤ
// 
//    0դǤ
//   -1ط
//-------------------------------------------------------------
function calc_date_diff(date_from_str, date_to_str) {
  var d_from = new String(date_from_str);
  var d_to   = new String(date_to_str);
  if (d_from > d_to && d_to != 0) {
      var d_tmp = d_from;
      d_from = d_to;
      d_to = d_tmp;
      return -1;
  }

  return 0;
}

//-------------------------------------------------------------
// եåʥܥܥåѡ
//   ǯեåԤʤޤ
//   դξ硢ꤵ줿åɽޤ
// 
//   objy ǯ(ȾѿΤ)
//   objm (ȾѿΤ)
//   objd (ȾѿΤ)
//   msg  顼å
// 
//    ǯդǤ
//    null  
//-------------------------------------------------------------
function checkDateYMD(objy, objm, objd, msg) {
  var i_index;
  var str_year;
  var str_month;
  var str_day;

  i_index   = objy.selectedIndex;
  str_year  = objy.options[i_index].value;
  i_index   = objm.selectedIndex;
  str_month = objm.options[i_index].value;
  i_index   = objd.selectedIndex;
  str_day   = objd.options[i_index].value;

  if(str_year == "0000") {
      str_year = "";
  }
  if(str_month == "00") {
      str_month = "";
  }
  if(str_day == "00") {
      str_day = "";
  }

  if ( str_year != "" && str_month != "" && str_day != "" ){
    i_ret1 = checkDateYearMonthDay( str_year, str_month, str_day );
    if( i_ret1 != 0 ){
      alert( msg );
      return null;
    }
  } else if( !(str_year == "" && str_month == "" && str_day == "") ){
    alert( msg );
    return null;
  }

  return str_year + str_month + str_day;
}

//-------------------------------------------------------------
// ܥܥå
//   򤵤줿ͤ롣
//
// 
//   select_obj : SELECTNAME
// 
//      ""    ̤
//    ""ʳ  ʸ
//-------------------------------------------------------------
function getSelectValue( select_obj ) {
    var restr = "";
    var icnt;

    for(icnt=0; icnt<select_obj.length; icnt++) {
        if(select_obj.options[icnt].selected) {
            restr = select_obj.options[icnt].value;
            break;
        }
    }

    return restr;
}

//--->
